public inbox for netdev@vger.kernel.org 
 help / color / mirror / Atom feed
* [PATCH net] selftest: net: fix typo in altname test
@ 2021-09-11 14:14 Andrea Claudi
  2021-09-12  9:50 ` patchwork-bot+netdevbpf
  0 siblings, 1 reply; 2+ messages in thread
From: Andrea Claudi @ 2021-09-11 14:14 UTC (permalink / raw)
  To: netdev; +Cc: jiri

If altname deletion of the short alternative name fails, the error
message printed is: "Failed to add short alternative name".
This is obviously a typo, as we are testing altname deletion.

Fix this using a proper error message.

Fixes: f95e6c9c4617 ("selftest: net: add alternative names test")
Signed-off-by: Andrea Claudi <aclaudi@redhat•com>
---
 tools/testing/selftests/net/altnames.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/altnames.sh b/tools/testing/selftests/net/altnames.sh
index 4254ddc3f70b..1ef9e4159bba 100755
--- a/tools/testing/selftests/net/altnames.sh
+++ b/tools/testing/selftests/net/altnames.sh
@@ -45,7 +45,7 @@ altnames_test()
 	check_err $? "Got unexpected long alternative name from link show JSON"
 
 	ip link property del $DUMMY_DEV altname $SHORT_NAME
-	check_err $? "Failed to add short alternative name"
+	check_err $? "Failed to delete short alternative name"
 
 	ip -j -p link show $SHORT_NAME &>/dev/null
 	check_fail $? "Unexpected success while trying to do link show with deleted short alternative name"
-- 
2.31.1


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* Re: [PATCH net] selftest: net: fix typo in altname test
  2021-09-11 14:14 [PATCH net] selftest: net: fix typo in altname test Andrea Claudi
@ 2021-09-12  9:50 ` patchwork-bot+netdevbpf
  0 siblings, 0 replies; 2+ messages in thread
From: patchwork-bot+netdevbpf @ 2021-09-12  9:50 UTC (permalink / raw)
  To: Andrea Claudi; +Cc: netdev, jiri

Hello:

This patch was applied to netdev/net.git (refs/heads/master):

On Sat, 11 Sep 2021 16:14:18 +0200 you wrote:
> If altname deletion of the short alternative name fails, the error
> message printed is: "Failed to add short alternative name".
> This is obviously a typo, as we are testing altname deletion.
> 
> Fix this using a proper error message.
> 
> Fixes: f95e6c9c4617 ("selftest: net: add alternative names test")
> Signed-off-by: Andrea Claudi <aclaudi@redhat•com>
> 
> [...]

Here is the summary with links:
  - [net] selftest: net: fix typo in altname test
    https://git.kernel.org/netdev/net/c/1b704b27beb1

You are awesome, thank you!
--
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html



^ permalink raw reply	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2021-09-12  9:50 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-09-11 14:14 [PATCH net] selftest: net: fix typo in altname test Andrea Claudi
2021-09-12  9:50 ` patchwork-bot+netdevbpf

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox